Subject: RE: Interested in GNU Software
From: [email-masked] (Ian Collins)

15 Oct 1998 17:46:32 -0700
Message-ID: <AC4D3D80B239D211BC140000F879A2BA0AE4FB.cygnus.gnu-win32@NTMAIL>
Mime-Version: 1.0
Content-Type: text/plain
To: "'Simon Bjorn'" <[email-masked]>
Cc: "Gnu-Win32 (E-mail)" <[email-masked]>

It sounds like you are in a similiar situation to us.
I took our Unix sourcecode (approx 500,000 lines), and ported it with
minimal problems (SEE BELOW).
I find gnu-win32 a pleasure to use, and commend the developers.

My one concern with going with an NT release is the reliability of NT
for a mission critical application.
Our foray into the NT world has left me fairly cynical about the ability
of NT to provide mission critical 7x24 uptime.
(I hope that last comment doesn't cause a storm. I don't care what you
say, I'll still hug my Unix machines).

Porting areas that caused a little concern:

Shared memory - I believe there is a package ported for this, but I
haven't hit that yet.
Timeouts on reads - The GNU read system call does not interrupt on a
signal, so you can't use alarms for timeouts. Select works fine however.
exec - I couldn't use execlp. I moved to execvp instead. Forking works
fine however.
Some of the socket calls have to be revamped, but it's fairly trivial.
setgid, setuid doesn't exist (I think - there must have been a reason
that I conditioned them out, but I can't think why).
Telnet connections are limited to 15 by default (This has been changed
for the next release, I believe).

I hope this has been of some help.
Ian Collins

-----Original Message-----
From: Simon Bjorn [mailto:[email-masked]]
Sent: Wednesday, October 14, 1998 5:16 AM
To: [email-masked]
Subject: Interested in GNU Software

>Date: Tue, 13 Oct 1998 09:15:03 -0700
>To: [email-masked]
>From: Simon Bjorn <[email-masked]>
>Subject: Interested in GNU Software
>
>
>We are commercial company with Unix Application which we want to port
to
Windows NT in minimal amount of time possible. Does your product provide
an
ability to accomblish this aim.
>
>I look forward to taking a look at your products and services more
closely
>
>Regards
>Simon Bjorn
>
>Flagship Systems Inc.
>Tl. 972 458 8828 ex 32
>Fx. 972 458 8728
>

-
For help on using this list (especially unsubscribing), send a message
to
"[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".